---
updatedAt: 2026-07-28T13:53:15.000Z
---

# Get a list of basic information for all modeled event meshes

Get a list of the basic information for all modeled event meshes.

Your token must have one of the permissions listed in the Token Permissions.
<br><br><a href="https://api.solace.dev/cloud/reference/authentication">Token Permissions</a>: [ <code>modeled_event_mesh:get_info:*</code> ]

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Event Portal - Runtime",
    "description": "REST API Concepts\n\nSolace Event Portal provides REST APIs that you can use to manage your data in Solace Cloud. \nThe REST APIs allow you to model your event-driven architectures from your own client applications.\n\nThe following document describes the public REST APIs available for use in Event Portal 2.0. Objects created in this \nversion will not be available in Event Portal 1.0. APIs that display (Beta) in their summary are provided as-is and \nare subject to change or removal. They may not be of the quality expected for generally available APIs and have no \nguaranteed forward compatibility with the generally available version of the API.\n\n",
    "version": "2.13.2"
  },
  "servers": [
    {
      "url": "https://api.solace.cloud",
      "description": "Solace PubSub+ Cloud US EAST Region"
    },
    {
      "url": "https://api.solacecloud.com.au",
      "description": "Solace PubSub+ Cloud AU Region"
    },
    {
      "url": "https://api.solacecloud.eu",
      "description": "Solace PubSub+ Cloud EU Region"
    },
    {
      "url": "https://api.solacecloud.sg",
      "description": "Solace PubSub+ Cloud SG Region"
    }
  ],
  "security": [
    {
      "APIToken": []
    }
  ],
  "tags": [
    {
      "name": "Event Meshes"
    }
  ],
  "paths": {
    "/api/v2/architecture/about/eventMeshes": {
      "get": {
        "tags": [
          "Event Meshes"
        ],
        "summary": "Get a list of basic information for all modeled event meshes",
        "description": "Get a list of the basic information for all modeled event meshes.\n\nYour token must have one of the permissions listed in the Token Permissions.\n<br><br><a href=\"https://api.solace.dev/cloud/reference/authentication\">Token Permissions</a>: [ <code>modeled_event_mesh:get_info:*</code> ]",
        "operationId": "getEventmeshInfo",
        "parameters": [
          {
            "name": "pageSize",
            "in": "query",
            "description": "The number of modeled event meshes to return per page.",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 20,
              "maximum": 100,
              "minimum": 1
            }
          },
          {
            "name": "pageNumber",
            "in": "query",
            "description": "The page number to retrieve.",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 1,
              "minimum": 1
            }
          },
          {
            "name": "sort",
            "in": "query",
            "description": "The sorting criteria for the returned results. You can sort the results by query parameter in ascending or descending order.\nDefine the sort order using the following string: `fieldname:asc/desc` where:\n\n- `fieldname` — The field name of the query parameter to sort by.\n- `asc` — Sort the selected field name in ascending order.\n- `desc` — Sort the selected field name in descending order.\n\nIf the direction is not specified, the default is ascending.\n\nYou can use multiple query parameters to refine the sorting order.\n",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "ids",
            "in": "query",
            "description": "The unique identifiers of the modeled event meshes to retrieve, separated by commas.",
            "required": false,
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "uniqueItems": true
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "*/*": {
                "schema": {
                  "$ref": "#/components/schemas/EventMeshesInfoResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "405": {
            "description": "Method Not Allowed",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "501": {
            "description": "Not Implemented",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "503": {
            "description": "Service Unavailable",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "ErrorResponse": {
        "type": "object",
        "discriminator": {
          "propertyName": "errorType"
        },
        "properties": {
          "message": {
            "type": "string",
            "description": "A user-friendly message that describes the error.",
            "example": "An error occurred."
          },
          "errorId": {
            "type": "string",
            "description": "The UUID (Universally Unique Identifier) that is logged with an appropriate stack trace for a WARN or ERROR log that allows support to better determine what cause the error.",
            "example": "123e4567-e89b-12d3-a456-426655440000"
          },
          "meta": {
            "type": "object",
            "additionalProperties": {},
            "example": "'object': { 'field': 'description' }"
          },
          "validationDetails": {
            "type": "object",
            "additionalProperties": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "description": "When applicable, these are the details of issues with the fields provided for the REST call.",
            "example": "'name': ['Not unique']"
          },
          "errorType": {
            "type": "string",
            "writeOnly": true
          }
        }
      },
      "EventMeshInfoDTO": {
        "type": "object",
        "properties": {
          "createdTime": {
            "type": "string",
            "description": "The time the entity was created",
            "example": "2021-12-31T20:30:57.920Z",
            "readOnly": true
          },
          "updatedTime": {
            "type": "string",
            "description": "The time the entity was last updated",
            "example": "2021-12-31T20:30:57.920Z",
            "readOnly": true
          },
          "createdBy": {
            "type": "string",
            "description": "The user who created the entity",
            "example": 12345678,
            "readOnly": true
          },
          "changedBy": {
            "type": "string",
            "description": "The user who last updated the entity",
            "example": 12345678,
            "readOnly": true
          },
          "name": {
            "type": "string",
            "description": "The name of the modeled event mesh.",
            "example": "Inventory",
            "maxLength": 40,
            "minLength": 1
          },
          "id": {
            "type": "string",
            "description": "The unique identifier of the modeled event mesh.",
            "example": 12345,
            "readOnly": true
          },
          "description": {
            "type": "string",
            "description": "The description of the modeled event mesh.",
            "example": "The Inventory Event Meshapplications.",
            "maxLength": 10000,
            "minLength": 1
          },
          "environmentId": {
            "type": "string",
            "description": "The unique identifier of the environment that contains the modeled event mesh.",
            "example": 67890,
            "maxLength": 255,
            "minLength": 1
          },
          "brokerType": {
            "type": "string",
            "description": "The type of the broker used in the modeled event mesh.",
            "enum": [
              "kafka",
              "solace"
            ]
          },
          "allowedActions": {
            "type": "array",
            "description": "The types of modeled event mesh information a user is permitted to retrieve. Users with the 'get_info' action can use the 'about/modeledEventMeshes' API. Users with any other action can use the standard '/eventMeshes' API.",
            "example": "[get, get_info]",
            "items": {
              "type": "string"
            },
            "readOnly": true,
            "uniqueItems": true
          },
          "type": {
            "type": "string"
          }
        }
      },
      "EventMeshesInfoResponse": {
        "type": "object",
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/EventMeshInfoDTO"
            }
          },
          "meta": {
            "$ref": "#/components/schemas/meta"
          }
        }
      },
      "Pagination": {
        "type": "object",
        "properties": {
          "pageNumber": {
            "type": "integer",
            "format": "int32"
          },
          "count": {
            "type": "integer",
            "format": "int32"
          },
          "pageSize": {
            "type": "integer",
            "format": "int32"
          },
          "nextPage": {
            "type": "integer",
            "format": "int32"
          },
          "totalPages": {
            "type": "integer",
            "format": "int32"
          }
        }
      },
      "meta": {
        "type": "object",
        "properties": {
          "pagination": {
            "$ref": "#/components/schemas/Pagination"
          }
        }
      }
    },
    "securitySchemes": {
      "APIToken": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```